package com.test.basd.supercleanermax.activity.photocompress.photo

import android.annotation.SuppressLint
import android.graphics.Color
import android.widget.TextView
import androidx.core.view.updatePadding
import com.blankj.utilcode.util.BarUtils
import com.test.basd.supercleanermax.R
import com.test.basd.supercleanermax.databinding.ActivityCompressionSuccessBinding
import com.test.basd.supercleanermax.helps.BaseActivity

class CompressionSuccessActivity : BaseActivity<ActivityCompressionSuccessBinding>() {

    override val binding: ActivityCompressionSuccessBinding
        get() = ActivityCompressionSuccessBinding.inflate(layoutInflater)


    @SuppressLint("SetTextI18n")
    override fun initView() {
        BarUtils.setStatusBarLightMode(this, true)
        BarUtils.setStatusBarColor(this, Color.TRANSPARENT)
        binding.root.updatePadding(top = BarUtils.getStatusBarHeight())
        val num = intent.getIntExtra("num", 0)
        val size = intent.getLongExtra("size", 0)
        findViewById<TextView>(R.id.tv_text).text =
            "$num images compressed " + ImagesMediaUtils.formatFileSize(size)
    }

}